<h1>Ejercicio 1</h1>
<form [formGroup]="formulario" (ngSubmit)="agregar()">
  <div class="all">
        <div class="container">
          <mat-label>Cantidad de niveles</mat-label>
          <mat-form-field appearance="outline">
            <input
          matInput
          type="number"
          formControlName="niveles"
          name="niveles"
          min="1"
          max="100"
        ></mat-form-field>
        </div>

        <div class="btn">
          <button mat-raised-button color="primary" type="submit" [disabled]="formulario.invalid">Agregar</button>
        </div>

        <div class="container2">
          <mat-label>Cantidad de Repeticiones</mat-label>
          <mat-form-field appearance="outline">
                <input
              matInput
              type="number"
              formControlName="repeticiones"
              name="niveles"
              min="1"
              max="100"
              >
          </mat-form-field>
        </div> 
    </div>


    <div class="column-der">
        <div class="valores">

          <div class="valor">
            <label for="uno">Valor 1:</label>
            <mat-form-field appearance="outline">
              <input 
              id="uno" 
              matInput 
              formControlName="valor1"
              [class.advertencia]="formulario.get('valor1')?.invalid && formulario.get('valor1')?.touched"
              >
              <span *ngIf="formulario.get('valor1')?.invalid && formulario.get('valor1')?.touched">La caja de texto esta vacía</span>
            </mat-form-field>
            <br>
            
          </div>

          <div class="valor">
            <label for="dos">Valor 2:</label>
            <mat-form-field appearance="outline">
              <input 
              id="dos" 
              matInput
              formControlName="valor2"
              [class.advertencia]="formulario.get('valor2')?.invalid && formulario.get('valor2')?.touched"
              >
              <span *ngIf="formulario.get('valor2')?.invalid && formulario.get('valor2')?.touched">La caja de texto esta vacía</span>
            </mat-form-field>
          </div>

        </div>
    </div>

    
    <div class="izq">    
        <div class="valores">

          <div class="valor">
            <label for="tres">Valor 3:</label>
            <mat-form-field appearance="outline">
              <input 
              id="tres" 
              matInput
              formControlName="valor3"
              [class.advertencia]="formulario.get('valor3')?.invalid && formulario.get('valor3')?.touched"
              >
              <span *ngIf="formulario.get('valor3')?.invalid && formulario.get('valor3')?.touched">La caja de texto esta vacía</span>
            </mat-form-field>
          </div>

          <div class="valor">
            <label for="cuatro">Valor 4:</label>
            <mat-form-field appearance="outline">
              <input 
              id="cuatro" 
              matInput
              formControlName="valor4"
              [class.advertencia]="formulario.get('valor4')?.invalid && formulario.get('valor4')?.touched"
              >
              <span *ngIf="formulario.get('valor4')?.invalid && formulario.get('valor4')?.touched">La caja de texto esta vacía</span>
            </mat-form-field>
          </div>

        </div>
    </div>

    <div class="example-ripple-container mat-elevation-z4 grupo">
      <mat-tree  [dataSource]="dataSource" [treeControl]="treeControl " class="example-tree">
        <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle>
        {{node.name}}
        </mat-tree-node>

        <mat-nested-tree-node *matTreeNodeDef="let node; when: hasChild">
          <div class="mat-tree-node">
            <button type="button" mat-icon-button matTreeNodeToggle [attr.aria-label]="'Toggle ' + node.name">
              <mat-icon class="mat-icon-rtl-mirror">
                {{ treeControl.isExpanded(node) ? 'expand_more': 'chevron_right' }}
              </mat-icon>
            </button>
            {{node.name}} 
          </div>
          <!-- There is inline padding applied to this div using styles.
          This padding value depends on the mat-icon-button width.  -->
          <div [class.example-tree-invisible]="!treeControl.isExpanded(node)" class="nested-node" role="group">
            <ng-container matTreeNodeOutlet> </ng-container>
          </div>
        </mat-nested-tree-node>
      </mat-tree>
    </div>

</form>
